<?php

use Anomaly\Streams\Platform\Database\Migration\Migration;

class TerrostarExtensionGalleryBlockSetGalleriesSortOrder extends Migration
{

    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        $titleField  = $this->fields()->findBySlugAndNamespace('title', 'gallery_block');
        $imagesField = $this->fields()->findBySlugAndNamespace('images', 'gallery_block');

        $galleryStream = $this->streams()->findBySlugAndNamespace('galleries', 'gallery_block');

        $titleAssignment  = $this->assignments()->findByStreamAndField($galleryStream, $titleField);
        $imagesAssignment = $this->assignments()->findByStreamAndField($galleryStream, $imagesField);

        $titleAssignment->sort_order  = 0;
        $imagesAssignment->sort_order = 1;

        $titleAssignment->save();
        $imagesAssignment->save();
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        // Nothing to do.
    }
}
